## pydicom 0.9.9

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pydicom.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pydicom.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## pydicom 0.9.4.1

=== debian/changelog ===
pydicom (0.9.4.1-1) unstable; urgency=low

  * Initial release (Closes: #589098)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 15 Jul 2010 10:03:47 -0400

=== debian/control ===
Source: pydicom
Section: python
Priority: optional
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), python (>= 2.4), python-support (>= 0.6), python-setuptools(>= 0.6)
Standards-Version: 3.9.0
Homepage: http://code.google.com/p/pydicom/
XS-Vcs-Git: git://git.debian.org/git/pkg-exppsy/pydicom.git
XS-Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/pydicom.git

Package: python-dicom
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Recommends: python-numpy, python-imaging
Suggests: python-matplotlib
Description: DICOM medical file reading and writing
 pydicom is a pure Python module for parsing DICOM files.  DICOM is a
 standard (http://medical.nema.org) for communicating medical images
 and related information such as reports and radiotherapy objects.
 .
 pydicom makes it easy to read DICOM files into natural pythonic
 structures for easy manipulation.  Modified datasets can be written
 again to DICOM format files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ -Dsource --buildsystem=python_distutils

override_dh_clean:
	dh_clean
	rm -rf source/pydicom.egg-info source/.pydistutils.cfg

=== debian/watch ===
version=3
opts="uversionmangle=s/-/./g" \
    http://googlecode.debian.net/p/pydicom/ pydicom-(.*)\.tar\.gz

## pydicom 0.9.5~rc1

=== debian/changelog ===
pydicom (0.9.5~rc1-1~lucid.nd1) lucid; urgency=low

  * Backport of Debian package version 0.9.5~rc1-1 for NeuroDebian.
    Problems with the backport should be reported to the NeuroDebian
    maintainers and not to the original Debian maintainer.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Tue, 14 Sep 2010 23:26:54 -0400

pydicom (0.9.5~rc1-1) experimental; urgency=low

  * New upstream release candidate
  * Boosted policy compliance to 3.9.1 -- no changes are necessary
  * Deprecated debian/patches/up_with_statement_python2.5 -- absorbed upstream
  * Enabled unit-testing in-place

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 13 Sep 2010 22:26:52 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), python (>= 2.4), python-support (>= 0.6), python-setuptools(>= 0.6)
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Homepage: http://code.google.com/p/pydicom/
 XS-Vcs-Git: git://git.debian.org/git/pkg-exppsy/pydicom.git
 XS-Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/pydicom.git

=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,8 @@
 override_dh_clean:
 	dh_clean
 	rm -rf source/pydicom.egg-info source/.pydistutils.cfg
+
+override_dh_auto_test:
+	for PYTHON in `pyversions -r`; do \
+        cd source; $$PYTHON setup.py test; cd ..; \
+    done

## pydicom 0.9.6

=== debian/changelog ===
pydicom (0.9.6-1) unstable; urgency=low

  * New upstream release
  * Boosted policy compliance to 3.9.2 -- no changes
  * Packaging is no longer done based on a fragile hg2git bridging back to
    the source distribution tarballs:
    - debian/gbp.conf adjusted correspondingly to use 'overlay' approach
    - debian/rules fixed to not cd to sources any longer
  * Converted to use dh_python2
  * Build-depend on python-all and python-numpy for testing

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 18 Nov 2011 15:16:34 -0500

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), python (>= 2.4), python-support (>= 0.6), python-setuptools(>= 0.6)
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.6-3~), python-setuptools(>= 0.6), python-numpy
+X-Python-Version: >= 2.5
+Standards-Version: 3.9.2
 Homepage: http://code.google.com/p/pydicom/
 XS-Vcs-Git: git://git.debian.org/git/pkg-exppsy/pydicom.git
 XS-Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/pydicom.git

=== debian/watch ===
version=3
opts="uversionmangle=s/-/./g,uversionmangle=s/rc/~rc/g" \
    http://googlecode.debian.net/p/pydicom/ pydicom-(.*)\.tar\.gz

## pydicom 0.9.7

=== debian/changelog ===
pydicom (0.9.7-1.1ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - Backported upstream hg changeset 6a1f774 to fix FTBFS on i386.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Feb 2014 17:25:06 +0100

pydicom (0.9.7-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/distribute.patch: Disable downloading of distribute from
    PyPI. (Closes: #733439)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 11 Feb 2014 11:50:03 +0100

pydicom (0.9.7-1ubuntu1) raring; urgency=low

  * Backported upstream hg changeset 6a1f774 to fix FTBFS on i386.

 -- Daniel T Chen <crimsun@ubuntu.com>  Thu, 07 Mar 2013 17:32:11 -0500

pydicom (0.9.7-1) unstable; urgency=low

  * New upstream release
  * debian/watch: no redirector is needed any longer
  * debian/copyright: DEP5 compliant now
  * debian/control: boost policy to 3.9.3 (no further changes)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 08 Jun 2012 14:23:30 -0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: pydicom
 Section: python
 Priority: optional
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.6-3~), python-setuptools(>= 0.6), python-numpy
 X-Python-Version: >= 2.5
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://code.google.com/p/pydicom/
 XS-Vcs-Git: git://git.debian.org/git/pkg-exppsy/pydicom.git
 XS-Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/pydicom.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_clean:
	dh_clean
	rm -rf .pydistutils.cfg

override_dh_auto_test:
	for PYTHON in `pyversions -r`; do \
        $$PYTHON setup.py test || exit 1; \
    done

=== debian/watch ===
version=3
opts="uversionmangle=s/-/./g,uversionmangle=s/rc/~rc/g" \
http://code.google.com/p/pydicom/downloads/list?can=1 .*/pydicom-(\d[\d.]*)\.tar\.gz

## pydicom 0.9.8

=== debian/changelog ===
pydicom (0.9.8-1~nd12.10+1) quantal; urgency=low

  * Backported for quantal.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 20 Mar 2014 19:59:30 -0400

pydicom (0.9.8-1) unstable; urgency=medium

  * Fresh upstream release
  * Adjusting X-Python-Version due to
    "pydicom > 0.9.7 requires python 2.6 or later"

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 19 Mar 2014 21:40:46 -0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: pydicom
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.6-3~), python-setuptools(>= 0.6), python-numpy
-X-Python-Version: >= 2.5
+X-Python-Version: >= 2.6
 Standards-Version: 3.9.3
 Homepage: http://code.google.com/p/pydicom/
 XS-Vcs-Git: git://git.debian.org/git/pkg-exppsy/pydicom.git
@@ -13,7 +13,7 @@
 
 Package: python-dicom
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}
+Depends: neurodebian-popularity-contest, ${python:Depends}, ${misc:Depends}
 Recommends: python-numpy, python-imaging
 Suggests: python-matplotlib
 Description: DICOM medical file reading and writing

## pydicom 0.9.9

=== debian/changelog ===
pydicom (0.9.9-3) unstable; urgency=medium

  * Team upload.
  * Replace python-imaging by python-pil
    Closes: #866458
  * Packae just supports Python3 - thus close bug
    Closes: #782928
  * Secure URI in watch file
  * Standards-Version: 4.1.3
  * Secure Vcs-Git
  * Fix path in copyright

 -- Andreas Tille <tille@debian.org>  Sat, 20 Jan 2018 23:07:33 +0100

pydicom (0.9.9-2) unstable; urgency=medium

  * Update maintainer email.
  * Bump standards version to 3.9.6; no changes necessary.
  * CME-base automatic modernization of debian/control.
  * Switch to debhelper 9.
  * Build python3 package.
  * Build documentation and ship it in a -doc package.

 -- Michael Hanke <mih@debian.org>  Sat, 05 Sep 2015 07:38:24 +0200

pydicom (0.9.9-1) experimental; urgency=medium

  * Fresh upstream release
    - project moved to new website (pydicom.org) and source code hosting
      (Git and github.com), so urls and watch file were adjusted accordingly
  * debian/rules
    - sources are now under source/

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 16 Jan 2015 23:28:46 -0500

=== debian/control ===
Source: pydicom
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <mih@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9~),
               python-all,
               python3-all,
               python-setuptools,
               python3-setuptools,
               python-numpy,
               python-docutils,
               python-sphinx | python3-sphinx
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-exppsy/pydicom.git
Vcs-Git: https://anonscm.debian.org/git/pkg-exppsy/pydicom.git
Homepage: http://pydicom.org/
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.0

Package: python-dicom
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends}
Recommends: python-numpy,
            python-pil
Suggests: python-matplotlib
Description: DICOM medical file reading and writing (Python 2)
 pydicom is a pure Python module for parsing DICOM files.  DICOM is a
 standard (http://medical.nema.org) for communicating medical images
 and related information such as reports and radiotherapy objects.
 .
 pydicom makes it easy to read DICOM files into natural pythonic
 structures for easy manipulation.  Modified datasets can be written
 again to DICOM format files.
 .
 This package installs the module for Python 2.

Package: python3-dicom
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Recommends: python3-numpy,
            python3-pil
Suggests: python3-matplotlib
Description: DICOM medical file reading and writing (Python 3)
 pydicom is a pure Python module for parsing DICOM files.  DICOM is a
 standard (http://medical.nema.org) for communicating medical images
 and related information such as reports and radiotherapy objects.
 .
 pydicom makes it easy to read DICOM files into natural pythonic
 structures for easy manipulation.  Modified datasets can be written
 again to DICOM format files.
 .
 This package installs the module for Python 3.

Package: python-dicom-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Description: DICOM medical file reading and writing (documentation)
 pydicom is a pure Python module for parsing DICOM files.  DICOM is a
 standard (http://medical.nema.org) for communicating medical images
 and related information such as reports and radiotherapy objects.
 .
 pydicom makes it easy to read DICOM files into natural pythonic
 structures for easy manipulation.  Modified datasets can be written
 again to DICOM format files.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE = 1
export PYBUILD_NAME = dicom

PYS = $(shell pyversions -r)
export  http_proxy=http://127.0.0.1:9/
export  https_proxy=http://127.0.0.1:9/

%:
	dh $@ --buildsystem=pybuild --with python2,python3,sphinxdoc --sourcedirectory=source

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=source sphinx-build -N -bhtml docs/ build/html

override_dh_clean:
	dh_clean
	rm -rf .pydistutils.cfg build

#override_dh_auto_test:
#	cd source; \
#	for PYTHON in $(PYS); do \
#        $$PYTHON setup.py test || exit 1; \
#    done

=== debian/watch ===
version=4
opts="dversionmangle=s/\+ds\d*//,filenamemangle=s/.*\/(.*)/pydicom-$1\.tar\.gz/" \
  https://github.com/darcymason/pydicom/tags .*archive/v(\d[\d\.a-z]+).tar.gz

## pydicom 1.1.0

=== debian/changelog ===
pydicom (1.1.0-2) unstable; urgency=medium

  * Added transitional python{,3}-dicom packages
  * Fixed path to the built html docs
  * debian/patches
    - 0001-Execute-date-time-tests-only-for-the-backport-to-Pyt.patch
      to skip a test on Python3  to avoid FTBFS with python 3.7
  * debian/rules
    - remove all __pycache__ (could emerge from testing) when
      cleaning/installing
  * debian/control
    - adjusted Vcs fields to point to salsa instead of old anonscm

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 03 Jul 2018 11:01:33 -0400

pydicom (1.1.0-1) neurodebian; urgency=medium

  * New upstream release (Closes: #902389)
    - dicom module was renamed to pydicom, hence binary package rename
    - provides dicom shim Python package to ease migrations
  * debian/control
    - renamed packages to be -pydicom not -dicom.  They now also 
      provide/replace and conflict with older python-dicom*
    - adjusted Homepage to point to https://pydicom.github.io
      (Closes: #902388)
    - removed obsolete X-Python fields
    - B-D on python3-sphinx-gallery, python3-sphinx-rtd-theme,
      python3-numpydoc, python{,3}-pytest, python3-matplotlib
      (needs explicit listing in ubuntu backports)
  * debian/copyright
    - updated years and paths
  * debian/
    - adjusted for dicom -> pydicom renames
  * debian/patches
    - all removed (upstreamed etc)
    - deb_skip_missing_handlers as a dirty workaround for skipping when
      optional handlers are not provided
    - deb_xfail_pillow_test - temporary patch to xfail for now
      https://github.com/pydicom/pydicom/issues/663

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 25 Jun 2018 17:47:55 -0400

=== debian/control ===
--- 
+++ 
@@ -7,25 +7,37 @@
 Build-Depends: debhelper (>= 9~),
                python-all,
                python3-all,
+               python-pytest,
+               python3-pytest,
                python-setuptools,
                python3-setuptools,
                python-numpy,
+               python3-numpy,
                python-docutils,
-               python-sphinx | python3-sphinx
+               python-gdcm,
+               python-pil,
+               python3-pil,
+               python3-sphinx,
+               python3-sphinx-gallery,
+               python3-sphinx-rtd-theme,
+               python3-matplotlib,
+               python3-numpydoc,
 Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-exppsy/pydicom.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-exppsy/pydicom.git
-Homepage: http://pydicom.org/
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.0
+Vcs-Browser: https://salsa.debian.org/neurodebian-team/pydicom
+Vcs-Git: https://salsa.debian.org/neurodebian-team/pydicom.git
+Homepage: https://pydicom.github.io
 
-Package: python-dicom
+Package: python-pydicom
 Architecture: all
 Depends: ${python:Depends},
          ${misc:Depends}
 Recommends: python-numpy,
-            python-pil
+            python-pil,
+            python-gdcm,
 Suggests: python-matplotlib
+Replaces: python-dicom (<< 1~)
+Provides: python-dicom
+Breaks: python-dicom (<< 1~)
 Description: DICOM medical file reading and writing (Python 2)
  pydicom is a pure Python module for parsing DICOM files.  DICOM is a
  standard (http://medical.nema.org) for communicating medical images
@@ -37,13 +49,17 @@
  .
  This package installs the module for Python 2.
 
-Package: python3-dicom
+Package: python3-pydicom
 Architecture: all
 Depends: ${python3:Depends},
          ${misc:Depends}
 Recommends: python3-numpy,
-            python3-pil
+            python3-pil,
+            python3-gdcm,
 Suggests: python3-matplotlib
+Replaces: python3-dicom (<< 1~)
+Provides: python3-dicom
+Breaks: python3-dicom (<< 1~)
 Description: DICOM medical file reading and writing (Python 3)
  pydicom is a pure Python module for parsing DICOM files.  DICOM is a
  standard (http://medical.nema.org) for communicating medical images
@@ -55,11 +71,14 @@
  .
  This package installs the module for Python 3.
 
-Package: python-dicom-doc
+Package: python-pydicom-doc
 Architecture: all
 Section: doc
 Depends: ${sphinxdoc:Depends},
          ${misc:Depends}
+Replaces: python-dicom-doc (<< 1~)
+Provides: python-dicom-doc
+Breaks: python-dicom-doc (<< 1~)
 Description: DICOM medical file reading and writing (documentation)
  pydicom is a pure Python module for parsing DICOM files.  DICOM is a
  standard (http://medical.nema.org) for communicating medical images
@@ -70,3 +89,19 @@
  again to DICOM format files.
  .
  This package contains the documentation.
+
+Package: python-dicom
+Depends: python-pydicom, ${misc:Depends}
+Architecture: all
+Priority: optional
+Section: oldlibs
+Description: transitional package for python-pydicom
+ This is a transitional package. It can safely be removed.
+
+Package: python3-dicom
+Depends: python3-pydicom, ${misc:Depends}
+Architecture: all
+Priority: optional
+Section: oldlibs
+Description: transitional package for python3-pydicom
+ This is a transitional package. It can safely be removed.

## pydicom 1.2.1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*
	-rm -rf auto_examples/
	-rm -rf generated/*
	-rm -rf modules/generated/*

html:
	# These two lines make the build a bit more lengthy, and the
	# the embedding of images more robust
	rm -rf $(BUILDDIR)/html/_images
	#rm -rf _build/doctrees/
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	touch $(BUILDDIR)/html/.nojekyll
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pydicom.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pydicom.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pydicom"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pydicom"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

dist: html #latexpdf cp _build/latex/user_guide.pdf _build/html/_downloads/pydicom-docs.pdf

=== debian/changelog ===
pydicom (1.2.1-1) unstable; urgency=medium

  * New upstream release
  * Added debian/gbp.conf to point that we use "debian" branch, not master
    and also we use pristine-tar
  * debian/control
    - Removed gdcm from B-Depends and moved under Suggests since it is an
      optional dependency (Closes: #908555)
  * debian/patches
    - refreshed and upstreamed ones removed/disabled

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 23 Nov 2018 17:32:08 -0500

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
                python-numpy,
                python3-numpy,
                python-docutils,
-               python-gdcm,
                python-pil,
                python3-pil,
                python3-sphinx,
@@ -33,8 +32,8 @@
          ${misc:Depends}
 Recommends: python-numpy,
             python-pil,
-            python-gdcm,
-Suggests: python-matplotlib
+Suggests: python-matplotlib,
+          python-gdcm,
 Replaces: python-dicom (<< 1~)
 Provides: python-dicom
 Breaks: python-dicom (<< 1~)
@@ -55,8 +54,8 @@
          ${misc:Depends}
 Recommends: python3-numpy,
             python3-pil,
-            python3-gdcm,
-Suggests: python3-matplotlib
+Suggests: python3-matplotlib,
+          python3-gdcm,
 Replaces: python3-dicom (<< 1~)
 Provides: python3-dicom
 Breaks: python3-dicom (<< 1~)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE = 1
export PYBUILD_NAME = pydicom

PYS = $(shell pyversions -r)
export  http_proxy=http://127.0.0.1:9/
export  https_proxy=http://127.0.0.1:9/

%:
	dh $@ --buildsystem=pybuild --with python2,python3,sphinxdoc

override_dh_auto_build:
	dh_auto_build
	cd doc; PYTHONPATH=.. python3 /usr/bin/sphinx-build -N -bhtml . build/html

override_dh_auto_install:
	-find -name __pycache__ | xargs rm -r
	dh_auto_install

override_dh_clean:
	dh_clean
	rm -rf .pydistutils.cfg build

#override_dh_auto_test:
#	cd source; \
#	for PYTHON in $(PYS); do \
#        $$PYTHON setup.py test || exit 1; \
#    done

## pydicom 1.4.1

=== Makefile ===
# simple makefile to simplify repetitive build env management tasks under posix

# caution: testing won't work on windows

test-code:
	py.test pydicom

test-doc:
	pytest  doc/*.rst

test-coverage:
	rm -rf coverage .coverage
	py.test pydicom --cov-report term-missing --cov=pydicom

test: test-code test-doc

doc:
	make -C doc html

clean:
	find . -name "*.so" -o -name "*.pyc" -o -name "*.md5" -o -name "*.pyd" -o -name "*~" | xargs rm -f
	find . -name "*.pyx" -exec ./tools/rm_pyx_c_file.sh {} \;
	rm -rf .cache
	rm -rf .coverage
	rm -rf dist
	rm -rf build
	rm -rf doc/auto_examples
	rm -rf doc/generated
	rm -rf doc/modules
	rm -rf examples/.ipynb_checkpoints

code-analysis:
	flake8 pydicom | grep -v __init__ | grep -v external
	pylint -E -i y pydicom/ -d E1103,E0611,E1101

=== doc/Makefile ===
--- 
+++ 
@@ -49,8 +49,9 @@
 clean:
 	-rm -rf $(BUILDDIR)/*
 	-rm -rf auto_examples/
-	-rm -rf generated/*
-	-rm -rf modules/generated/*
+	-rm -rf generated
+	-rm -rf modules/generated
+	-rm -rf reference/generated
 
 html:
 	# These two lines make the build a bit more lengthy, and the

=== debian/changelog ===
pydicom (1.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #948877
  * Take over maintenance in Debian Med team
  * Repository layout follows team defaults - so no gbp.conf needed
  * debhelper-compat 10 (routine-update)
  * Standards-Version: 4.5.0
  * d/control: Fix formatting by `cme fix dpkg-control`
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Build-Depends: dh-python
  * Drop Python2 support
    Closes: #937427
  * Fix permissions of *.dcm files

 -- Andreas Tille <tille@debian.org>  Wed, 22 Jan 2020 13:57:10 +0100

=== debian/control ===
Source: pydicom
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <mih@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 10),
               dh-python,
               python3-all,
               python3-pytest,
               python3-setuptools,
               python3-numpy,
               python3-docutils,
               python3-pil,
               python3-sphinx,
               python3-sphinx-gallery,
               python3-sphinx-rtd-theme,
               python3-matplotlib,
               python3-numpydoc
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/pydicom
Vcs-Git: https://salsa.debian.org/med-team/pydicom.git
Homepage: https://pydicom.github.io

Package: python3-pydicom
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Recommends: python3-numpy,
            python3-pil
Suggests: python3-matplotlib,
          python3-gdcm
Breaks: python3-dicom (<< 1~)
Provides: python3-dicom
Replaces: python3-dicom (<< 1~)
Description: DICOM medical file reading and writing (Python 3)
 pydicom is a pure Python module for parsing DICOM files.  DICOM is a
 standard (http://medical.nema.org) for communicating medical images
 and related information such as reports and radiotherapy objects.
 .
 pydicom makes it easy to read DICOM files into natural pythonic
 structures for easy manipulation.  Modified datasets can be written
 again to DICOM format files.
 .
 This package installs the module for Python 3.

Package: python-pydicom-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Breaks: python-dicom-doc (<< 1~)
Provides: python-dicom-doc
Replaces: python-dicom-doc (<< 1~)
Description: DICOM medical file reading and writing (documentation)
 pydicom is a pure Python module for parsing DICOM files.  DICOM is a
 standard (http://medical.nema.org) for communicating medical images
 and related information such as reports and radiotherapy objects.
 .
 pydicom makes it easy to read DICOM files into natural pythonic
 structures for easy manipulation.  Modified datasets can be written
 again to DICOM format files.
 .
 This package contains the documentation.

Package: python3-dicom
Architecture: all
Section: oldlibs
Depends: python3-pydicom,
         ${misc:Depends}
Description: transitional package for python3-pydicom
 This is a transitional package. It can safely be removed.

## pydicom 2.0.0

=== debian/changelog ===
pydicom (2.0.0-1) unstable; urgency=medium

  * New upstream version
    Closes: #964650
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Add missing Build-Depends: python3-sphinx-issues

 -- Andreas Tille <tille@debian.org>  Fri, 17 Jul 2020 15:43:36 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper-compat (= 10),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-pytest,
@@ -16,12 +16,14 @@
                python3-sphinx,
                python3-sphinx-gallery,
                python3-sphinx-rtd-theme,
+               python3-sphinx-issues,
                python3-matplotlib,
                python3-numpydoc
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/pydicom
 Vcs-Git: https://salsa.debian.org/med-team/pydicom.git
 Homepage: https://pydicom.github.io
+Rules-Requires-Root: no
 
 Package: python3-pydicom
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 export  https_proxy=http://127.0.0.1:9/
 
 %:
-	dh $@ --buildsystem=pybuild --with python2,python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_build:
 	dh_auto_build
@@ -23,8 +23,6 @@
 	dh_clean
 	rm -rf .pydistutils.cfg build
 
-#override_dh_auto_test:
-#	cd source; \
-#	for PYTHON in $(PYS); do \
-#        $$PYTHON setup.py test || exit 1; \
-#    done
+override_dh_fixperms:
+	dh_fixperms
+	find debian -name "*.dcm" -exec chmod -x \{\} \;

## pydicom 2.2.2

=== debian/changelog ===
pydicom (2.2.2-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version
  * Build-Depends: python3-sphinx-copybutton
  * Standards-Version: 4.6.0 (routine-update)
  * autopkgtest-pkg-python.conf: extra_restrictions=needs-internet
  * Build-Depends: python3-gdcm
  * Drop lots of test requiring data files in need to be downloaded
  * Drop gdcm tests due to wrong usage

  [ Steffen Moeller ]
  * Fixed d/watch (github path update)

 -- Andreas Tille <tille@debian.org>  Sat, 11 Dec 2021 10:35:24 +0100

pydicom (2.0.0-2) unstable; urgency=medium

  * Team upload.
  * Add patch to fix FTBFS (Closes: #997385)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 02 Nov 2021 17:43:12 +0530

=== debian/control ===
--- 
+++ 
@@ -17,9 +17,11 @@
                python3-sphinx-gallery,
                python3-sphinx-rtd-theme,
                python3-sphinx-issues,
+               python3-sphinx-copybutton,
+               python3-gdcm,
                python3-matplotlib,
                python3-numpydoc
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/pydicom
 Vcs-Git: https://salsa.debian.org/med-team/pydicom.git
 Homepage: https://pydicom.github.io

=== debian/watch ===
version=4
opts="dversionmangle=s/\+ds\d*//,filenamemangle=s/.*\/(.*)/pydicom-$1\.tar\.gz/" \
  https://github.com/darcymason/pydicom/tags (?:.*?/)?v?(\d[\d\.a-z]+).tar.gz

## pydicom 2.3.0

=== debian/changelog ===
pydicom (2.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 16 Jul 2022 09:56:20 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                python3-gdcm,
                python3-matplotlib,
                python3-numpydoc
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/pydicom
 Vcs-Git: https://salsa.debian.org/med-team/pydicom.git
 Homepage: https://pydicom.github.io
@@ -35,9 +35,7 @@
             python3-pil
 Suggests: python3-matplotlib,
           python3-gdcm
-Breaks: python3-dicom (<< 1~)
 Provides: python3-dicom
-Replaces: python3-dicom (<< 1~)
 Description: DICOM medical file reading and writing (Python 3)
  pydicom is a pure Python module for parsing DICOM files.  DICOM is a
  standard (http://medical.nema.org) for communicating medical images
@@ -54,9 +52,7 @@
 Section: doc
 Depends: ${sphinxdoc:Depends},
          ${misc:Depends}
-Breaks: python-dicom-doc (<< 1~)
 Provides: python-dicom-doc
-Replaces: python-dicom-doc (<< 1~)
 Description: DICOM medical file reading and writing (documentation)
  pydicom is a pure Python module for parsing DICOM files.  DICOM is a
  standard (http://medical.nema.org) for communicating medical images

## pydicom 2.3.1

=== debian/changelog ===
pydicom (2.3.1-1) unstable; urgency=medium

  * Team upload
  * Drop dversionmangle from watch file
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 28 Nov 2022 17:58:43 +0100

=== debian/control ===
--- 
+++ 
@@ -53,6 +53,7 @@
 Depends: ${sphinxdoc:Depends},
          ${misc:Depends}
 Provides: python-dicom-doc
+Multi-Arch: foreign
 Description: DICOM medical file reading and writing (documentation)
  pydicom is a pure Python module for parsing DICOM files.  DICOM is a
  standard (http://medical.nema.org) for communicating medical images

## pydicom 2.4.3

=== Makefile ===
--- 
+++ 
@@ -3,14 +3,14 @@
 # caution: testing won't work on windows
 
 test-code:
-	py.test pydicom
+	pytest pydicom
 
 test-doc:
 	pytest  doc/*.rst
 
 test-coverage:
 	rm -rf coverage .coverage
-	py.test pydicom --cov-report term-missing --cov=pydicom
+	pytest pydicom --cov-report term-missing --cov=pydicom
 
 test: test-code test-doc
 
@@ -30,5 +30,4 @@
 	rm -rf examples/.ipynb_checkpoints
 
 code-analysis:
-	flake8 pydicom | grep -v __init__ | grep -v external
-	pylint -E -i y pydicom/ -d E1103,E0611,E1101
+	ruff .

=== debian/changelog ===
pydicom (2.4.3-3) unstable; urgency=medium

  * Team upload.
  * remove-unusable-fixtures.patch: new.
    This patch fixes test failures with newer pytest versions.
    (Closes: #1123168)
  * d/watch: convert to v5 Github template.
  * d/control: drop redundant Rules-Requires-Root.
  * d/control: build depends on pybuild-plugin-pyproject.

 -- Étienne Mollier <emollier@debian.org>  Fri, 19 Dec 2025 18:11:38 +0100

pydicom (2.4.3-2) unstable; urgency=medium

  * Team upload.
  * skip-i386-incapable-tests.patch: new patch.
    This works around test failures on 32-bit platforms. (Closes: #1103137)
  * d/patches/*: normalize Last-Update timestamps.
  * d/control: declare compliance to standards version 4.7.2.

 -- Étienne Mollier <emollier@debian.org>  Mon, 14 Apr 2025 23:30:28 +0200

pydicom (2.4.3-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version
  * Drop transitional package python3-dicom
    Closes: #1032788
  * Standards-Version: 4.6.2 (routine-update)
  * Set upstream metadata fields: Repository.
  * Add missing build-dependency on flit.
  * Build-Depends: texlive-latex-base, texlive-latex-extra, dvipng,
    python3-mpl-sphinx-theme, python3-scipy
  * Hack around strange error of sphinx by simply ignoring it

  [ Nilesh Patra ]
  * Add versioned Builddep against sphinx-gallery to fixup sphinx 7.2 issues
    Closes: #1042612
  * Properly copy tests dir during build
  * Run tests after install step
  * d/clean: Cleanup generated docs

 -- Nilesh Patra <nilesh@debian.org>  Fri, 26 Jan 2024 17:38:13 +0530

=== debian/control ===
--- 
+++ 
@@ -7,25 +7,32 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-pytest,
                python3-setuptools,
+               python3-setuptools-scm,
                python3-numpy,
                python3-docutils,
                python3-pil,
                python3-sphinx,
-               python3-sphinx-gallery,
+               python3-sphinx-gallery (>= 0.10.1-4~),
                python3-sphinx-rtd-theme,
                python3-sphinx-issues,
                python3-sphinx-copybutton,
+               python3-mpl-sphinx-theme,
                python3-gdcm,
                python3-matplotlib,
-               python3-numpydoc
-Standards-Version: 4.6.1
+               python3-numpydoc,
+               python3-scipy,
+               flit,
+               texlive-latex-base,
+               texlive-latex-extra,
+               dvipng,
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/pydicom
 Vcs-Git: https://salsa.debian.org/med-team/pydicom.git
 Homepage: https://pydicom.github.io
-Rules-Requires-Root: no
 
 Package: python3-pydicom
 Architecture: all
@@ -64,11 +71,3 @@
  again to DICOM format files.
  .
  This package contains the documentation.
-
-Package: python3-dicom
-Architecture: all
-Section: oldlibs
-Depends: python3-pydicom,
-         ${misc:Depends}
-Description: transitional package for python3-pydicom
- This is a transitional package. It can safely be removed.

=== debian/watch ===
Version: 5

Template: Github
Owner: darcymason
Project: pydicom
